Subject: HPR MIB review comments

From: Bob Clouston <[email-masked]>
Date: Fri, 31 May 1996 23:41:41 +2000 (EDT)

Steve Berl of Cisco has some comments on the latest HPR MIB draft, but won't
be able to join the teleconference.  Here are his comments:

> 
> 1) Removing all the NCL stuff? So there will not be any visibility of
> ANR level routing function at all? Seems to me like it would be useful
> to have some sort of a table that shows the mapping between an
> incoming ANR lable and the output link? Isn't there something
> analogous in the world of IP routing tables?
> 
> 2) It might also be useful to have some visibility of any pending
> connection setup requests in intermediate ANR nodes.
> 
> 3) hprNceDefault - What does it mean to be the default nce for a
> function? I can't seem to find that in the hpr spec.
> 
> 4) You've probably explained this before, but I forget. What is the
> purpose of the xxxGlobalCtrState and xxxGlobeCtrStateTime objects?
> COuld you give some real world examples of how this might be used?
> 
> 5) Why is hprRtpForAnrString flagged for removal, and why isn't there
> an hprRtpReverserAnrString object? Seems like these provide the only
> way to figure out what the ANR label string should be for the packets.
> 
> 6) hprRtpMaxSendRate - Is this max over life of the RTP connection, or
> just since the last path switch?
> 
> 7) hprRtpSend/RecvFrames - Do these counts include duplicate frame
> received, or retransmissions sent?
> 
> 8) hprRtpSend/RecvBytes - Is the "transmission header" refered to here
> the FID5 TH header, or RTP Transport header (THDR)?
> 
> 9) hprRtpOK/BadOpPathSws - If the operator requests a path switch, and
> the same path is selected again, does this count as OK or as Bad?
> 
> 10) hptRtpStTime - Do we also want to keep track of when the path
> switch attempt was started? How do I know how long a path switch
> takes? Could this be a good way to measure network convergence times?
> 
> That's all for now,
> 
> Steve Berl
> Cisco Systems, Inc.
> 
>